--- alpha.diff.orig
+++ alpha.diff
@@ -1,18 +1,14 @@
-diff --git a/config.mk b/config.mk
-index 3a71529..095cead 100644
---- a/config.mk
-+++ b/config.mk
-@@ -9,7 +9,7 @@ MANPREFIX = ${PREFIX}/share/man
- 
- # includes and libs
- INCS = -I. -I/usr/include -I/usr/include/freetype2
--LIBS = -L/usr/lib -lc -lX11 -lfontconfig -lXft
-+LIBS = -L/usr/lib -lc -lX11 -lfontconfig -lXft -lXrender
- 
- # flags
- CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE
-diff --git a/tabbed.c b/tabbed.c
-index 9a44795..b4d47d1 100644
+--- a/Makefile
++++ b/Makefile
+@@ -10,7 +10,7 @@
+
+ # use system flags.
+ TABBED_CFLAGS = -I/usr/X11R6/include -I/usr/include/freetype2 ${CFLAGS}
+-TABBED_LDFLAGS = -L/usr/X11R6/lib -lX11 -lfontconfig -lXft ${LDFLAGS}
++TABBED_LDFLAGS = -L/usr/X11R6/lib -lX11 -lfontconfig -lXft -lXrender ${LDFLAGS}
+ TABBED_CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700L
+
+ # OpenBSD (uncomment)
 --- a/tabbed.c
 +++ b/tabbed.c
 @@ -170,6 +170,9 @@ static char **cmd;
@@ -33,9 +33,9 @@
 -		              DefaultDepth(dpy, screen));
 +		dc.drawable = XCreatePixmap(dpy, win, ww, wh,
 +		              32);
- 		if (sel > -1)
- 			resize(sel, ww, wh - bh);
- 		XSync(dpy, False);
+
+ 		if (!obh && (wh <= bh)) {
+ 			obh = bh;
 @@ -399,7 +402,7 @@ drawtext(const char *text, XftColor col[ColLast])
  			;
  	}
